ONVIF::Media::Types::ProfileExtension(3pm)

NAME
ONVIF::Media::Types::ProfileExtension

DESCRIPTION
Perl data type class for the XML Schema defined complexType ProfileExtension from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   AudioOutputConfiguration

•   AudioDecoderConfiguration

•   Extension

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Media::Types::ProfileExtension
   AudioOutputConfiguration =>  { # ONVIF::Media::Types::AudioOutputConfiguration
     OutputToken => $some_value, # ReferenceToken
     SendPrimacy =>  $some_value, # anyURI
     OutputLevel =>  $some_value, # int
   },
   AudioDecoderConfiguration =>  { # ONVIF::Media::Types::AudioDecoderConfiguration
   },
   Extension =>  { # ONVIF::Media::Types::ProfileExtension2
   },
 },

AUTHOR
Generated by SOAP::WSDL